<template>
  <div>
    <h1 class="mb-3">Please provide details of family history of cardiovascular disease.</h1>
    <p class="text-base mb-6">Include your relationship (ex. grandfather on father’s side), age of onset and any other
      details you think may be relevant.</p>
    <textarea
      class="ta-input mb-8"
      v-model="selected"
    />
    <CommonBtn
      :disabled="!selected"
      text="Save and continue"
      @click="$emit('nextStage')"
    />
  </div>
</template>

<script>
import CommonBtn from "@/components/common/CommonBtn";
import {answersMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin],
  name: "YourHealth23",
  components: {CommonBtn},
  watch: {
    selected(newVal) {
      this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_23')
    }
  },
  data() {
    return {
      selected: null,
    }
  }
}
</script>

<style scoped>

</style>
